Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.util
Interface NameSpace

    @UML(identifier="NameSpace",
         specification=ISO_19103)
    public interface NameSpace

A collection of 0 or more generic names.

Since:
  GeoAPI 2.1

Method Summary
`Set<GenericName>` | `getNames()` Returns the set of generic names registered with this namespace.
`boolean` | `isGlobal()` Indicates whether this namespace is a "top level" namespace.
`GenericName` | `name()` Represents the identifier of this namespace.

Method Detail

### isGlobal

    @UML(identifier="global",
         obligation=MANDATORY,
         specification=ISO_19103)
    boolean isGlobal()

  Indicates whether this namespace is a "top level" namespace. Global, or top-level namespaces are not contained within another namespace. There is no namespace called "global" or "root" which contains all of the top-level namespaces. Hence, this flag indicates whether the namespace has a parent.

### name

    @UML(identifier="name",
         obligation=MANDATORY,
         specification=ISO_19103)
    GenericName name()

  Represents the identifier of this namespace. If the global attribute is `true`, indicating that this is a top level `NameSpace`, then the name should be a local name. If `false`, name should be a fully-qualified scoped name where `head().scope().isGlobal() == true`.

### getNames

    @UML(identifier="names",
         obligation=MANDATORY,
         specification=ISO_19103)
    Set<GenericName> getNames()

  Returns the set of generic names registered with this namespace. Duplicate names are forbidden. The names may be either:

  - A `LocalName`.
  - A `ScopedName` with the following constraints:
    - All elements of the parsed names list except for the tail must refer to a `NameSpace`.
    - Each element of the parsed names list except for the head must be defined in the `NameSpace` referred to by the previous element.

  TODO:
    This method will put a significant burden on implementations (they will need to manage a list of names, probably through weak references, etc.). Is the ISO 19103 association really naviguable that way?

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.